Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1009742 - Review Request: perl-Term-Menu - print an interactive menu
Summary: Review Request: perl-Term-Menu - print an interactive menu
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/~dazjorz/Term-...
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2013-09-19 03:32 UTC by Chris
Modified: 2016-02-08 13:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-08 13:57:33 UTC


Attachments (Terms of Use)

Description Chris 2013-09-19 03:32:06 UTC
Spec URL: https://www.dropbox.com/s/tbujesxtmxknr39/perl-Term-Menu.spec
SRPM URL: https://www.dropbox.com/s/qtug6gu6xgn0178/perl-Term-Menu-0.09-1.fc18.src.rpm
Description: Simple perl module that makes it easy to print an interactive menu
Fedora Account System Username: cjohnston

Comment 1 Ralf Corsepius 2013-09-19 05:43:08 UTC
* Fails to build in mock.
Please add: 
BuildRequires:  perl(Test::More)

* With the BR: above added, the testsuite skips a test.
Adding 
BuildRequires:  perl(Test::Expect)
causes the skipped test to be run.

* The License: field needs to be
License:        GPL+ or Artistic

* Unless you intent to support EPEL5,
Group: ...
...
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
...
rm -rf $RPM_BUILD_ROOT
can all be removed.

* Macro usage is inconsistent:
%__perl and %{__perl} are both being used.
Please only use one of these (I recommend using %{__perl})

Comment 2 Miroslav Suchý 2015-07-21 14:53:02 UTC
Chris, any progress? Are you still interrested in this package?

Comment 3 Miroslav Suchý 2016-02-08 13:57:33 UTC
No response. Closing as dead review. If you ever want to continue, please resubmit.


Note You need to log in before you can comment on or make changes to this bug.